<sqtm-core-customisable-dialog
  [titleKey]="
    'sqtm-core.administration-workspace.projects.dialog.title.associate-template.long'
  "
  [dialogId]="'associate-template-dialog'"
  (confirm)="confirm()"
>
  <sqtm-core-dialog-body>
    <div class="body-content m-t-5">
      <div class="flex-row">
        <i
          nz-icon
          class="sqtm-core-icon"
          nzType="info-circle"
          nzTheme="twotone"
          [nzTwotoneColor]="'#1890FF'"
        >
        </i>
        <span
          [innerHTML]="
            'sqtm-core.administration-workspace.projects.dialog.message.associate-template-info'
              | translate
          "
        ></span>
      </div>
      <div>
        <div class="m-10" [formGroup]="formGroup">
          <div class="sqtm-core-dialog-form p-4">
            <label class="label label__align_right">{{
              'sqtm-core.entity.project.template.label.singular' | translate
            }}</label>
            <sqtm-core-select-field
              [formGroup]="formGroup"
              [disabled]="true"
              [fieldName]="'template'"
              [options]="templateOptions"
              [serverSideFieldValidationError]="serverSideValidationErrors"
            >
            </sqtm-core-select-field>
          </div>
          <div class="m-t-4 p-4">
            @for (plugin of templateConfigurablePlugins; track plugin) {
              <div>
                <span
                  nz-checkbox
                  [formGroup]="formGroup"
                  [formControlName]="getKeepPluginBindingControlId(plugin)"
                  ngDefaultControl
                  [attr.data-test-element-id]="'keepBinding_' + plugin.id"
                >
                  {{
                    'sqtm-core.administration-workspace.projects.dialog.message.new-project.keep-plugin-configuration-binding'
                      | translate: { pluginName: plugin.name }
                  }}
                </span>
                <i
                  nz-icon
                  nzType="sqtm-core-generic:help"
                  nzTheme="outline"
                  class="current-workspace-button tooltip-icon table-icon-size"
                  [nz-tooltip]="
                    'sqtm-core.administration-workspace.projects.dialog.message.associate-template-plugin-info'
                      | translate: { pluginName: plugin.name }
                  "
                  (click)="$event.stopPropagation()"
                >
                </i>
              </div>
            }
          </div>
        </div>
      </div>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
